Skip to main content
GET
/
stats
/
describe
Describe stats
curl --request GET \
  --url https://api.whop.com/api/v1/stats/describe \
  --header 'Authorization: Bearer <token>'
{
  "typename": "<string>",
  "nodes": [
    "<string>"
  ],
  "views": [
    "<string>"
  ],
  "metrics": [
    {
      "name": "<string>",
      "node_path": "<string>",
      "supported_engines": [
        "<string>"
      ]
    }
  ],
  "debug": {
    "request_id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

resource
string | null

Resource path using : as separator (e.g., 'receipts', 'payments:membership', 'receipts:gross_revenue').

company_id
string | null

Scope query to a specific company.

Example:

"biz_xxxxxxxxxxxxxx"

user_id
string | null

Scope query to a specific user.

Example:

"user_xxxxxxxxxxxxx"

Response

A successful response

Root schema description showing available nodes, views, and metrics.

typename
string
required

The typename of this object

Allowed value: "DescribeRoot"
nodes
string[]
required

Available root nodes.

Represents textual data as UTF-8 character sequences. This type is most often used by GraphQL to represent free-form human-readable text.

views
string[]
required

Available API resource views.

Represents textual data as UTF-8 character sequences. This type is most often used by GraphQL to represent free-form human-readable text.

metrics
object[]
required

Available metrics.

debug
object
required

Debug information.